<?php include "../../lib/db.php"; ?>

<!DOCTYPE html>
<html>
<head>
  <!-- Standard Meta -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
  <link rel="shortcut icon" href="../../file/img/favicon.ico">

  <!-- Site Properties -->
  <title>통합 관제 시스템 - 회원가입</title>
  <!-- Semantic UI Template -->
  <link rel="stylesheet" type="text/css" href="../../custom/Semantic/semantic.min.css">
  <script src="../../custom/Semantic/jquery.min.js"></script>
  <script src="../../custom/Semantic/semantic.min.js"></script>

  <style type="text/css">
    body {
      background-image: url( "../../file/img/back01.jpg" );
	  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
    }
    body > .grid {
      height: 100%;
    }
    .image {
      margin-top: -100px;
    }
    .column {
      max-width: 470px;
    }
    
    #st {font-size: 13px;}
	#id_check {margin-top:7px; margin-left:5px;}

	input::placeholder {
		text-align: center;
	}

  </style>
  <script>
  $(document)
    .ready(function() {
      $('.ui.form')
        .form({
          fields: {
            userid: {
              identifier  : 'userid',
              rules: [
                {
                  type   : 'empty',
                  prompt : 'ID 항목이 비어 있습니다.'
                },
                {
                  type   : 'length[5]',
                  prompt : 'ID를 5글자 이상으로 설정해 주세요.'
                }
              ]
            },
			password: {
              identifier  : 'password',
              rules: [
                {
                  type   : 'empty',
                  prompt : '비밀번호 항목이 비어 있습니다.'
                },
                {
                  type   : 'length[10]',
                  prompt : '비밀번호를 10글자 이상으로 설정해 주세요.'
                }
              ]
            },
			email: {
              identifier  : 'email',
              rules: [
                {
                  type   : 'empty',
                  prompt : '이메일 주소 항목이 비어 있습니다.'
                }              
              ]
            },
			name: {
              identifier  : 'name',
              rules: [
                {
                  type   : 'empty',
                  prompt : '이름 항목이 비어 있습니다.'
                }
              ]
            },
			phone1: {
              identifier  : 'phone1',
              rules: [
                {
                  type   : 'empty',
                  prompt : '1번째 연락처 항목이 비어 있습니다.'
                }
              ]
            },
			phone2: {
              identifier  : 'phone2',
              rules: [
                {
                  type   : 'empty',
                  prompt : '2번째 연락처 항목이 비어 있습니다.'
                }
              ]
            },
			phone3: {
              identifier  : 'phone3',
              rules: [
                {
                  type   : 'empty',
                  prompt : '3번째 연락처 항목이 비어 있습니다.'
                }
              ]
            }
          }
        })
      ;
    })
  ;
  </script>
<script>
$(document).ready(function(e) { 
	$(".check").on("keyup", function(){ //check라는 클래스에 입력을 감지
		var self = $(this); 
		var userid; 
		
		if(self.attr("id") === "userid"){ 
			userid = self.val(); 
		} 
		
		$.post( //post방식으로 id_check.php에 입력한 userid값을 넘깁니다
			"id_check.php",
			{ userid : userid }, 
			function(data){ 
				if(data){ //만약 data값이 전송되면
					self.parent().parent().find("p").html(data); //div태그를 찾아 html방식으로 data를 뿌려줍니다.
					self.parent().parent().find("p").css("color", "#000"); //div 태그를 찾아 css효과로 빨간색을 설정합니다
				}
			}
		);
	});
});
</script>
<script>
function onlyNumber(event){
    event = event || window.event;
    var keyID = (event.which) ? event.which : event.keyCode;
    if ( (keyID >= 48 && keyID <= 57) || (keyID >= 96 && keyID <= 105) || keyID == 8 || keyID == 46 || keyID == 37 || keyID == 39 ) 
        return;
    else
        return false;
}
 
function removeChar(event) {
    event = event || window.event;
    var keyID = (event.which) ? event.which : event.keyCode;
    if ( keyID == 8 || keyID == 46 || keyID == 37 || keyID == 39 ) 
        return;
    else
        event.target.value = event.target.value.replace(/[^0-9]/g, "");
}
</script>
<script language="javascript">
$(".inputs").keyup(function () { if (this.value.length == this.maxLength) { $(this).next('.inputs').focus(); } });
</script>
<script>
$(function() {
    $('.ui.dropdown').dropdown();
    $("#smail").val("<?=$cutmail[1]?>");
});

</script>
</head>
<body>

<div class="ui middle aligned center aligned grid">
  <div class="column">
    <h2 class="ui teal image header">
      <i class="user circle outline icon"></i>

      <div class="content">
        회원가입<br/>
      </div>
    </h2>
    
    <form class="ui large form" method="post" action="./member_ok.php">
      <div class="ui stacked segment">
      <div id="st"><i class="small pencil alternate icon"></i>사용자 정보를 입력해주세요.</div><br/>
	    <div class="field">
          <div class="ui left icon input">
            <i class="id card icon"></i>
            <input type="text" name="userid" placeholder="ID" id ="userid" class="check" style="ime-mode:disabled">
			<p id="id_check"></p>
          </div>
		  
        </div>
		<div class="field">
          <div class="ui left icon input">
            <i class="lock icon"></i>
            <input type="password" name="password" placeholder="비밀번호">
          </div>
        </div>
        <div class="field">
          <div class="ui left icon input">
            <i class="user icon"></i>
            <input type="text" name="email" placeholder="이메일 아이디" style="ime-mode:disabled">
            <label style="margin-top: 6px;">@</label>
            <select name="smail" class="ui selection dropdown" id="smail" >
            <option value="" selected>메일 주소 선택</option>
			<option value="naver.com">naver.com</option>
			<option value="hanmail.net">hanmail.net</option>
			<option value="nate.com">nate.com</option>
			<option value="gmail.com">gmail.com</option>
			<option value="test.com">test.com</option>
			<option value="clsw.kr">clsw.kr</option>
			</select>
          </div>
        </div>
		<div class="field">
          <div class="ui left icon input">
            <i class="address card icon"></i>
            <input type="text" name="name" placeholder="이름">
          </div>
        </div>
		<div class="field">
          <div class="inline fields">
    <label><i class="phone volume icon"></i>연락처</label>
    <div class="field">
      <input type="text" class="inputs" name="phone1" placeholder="010" style="width:90px;" maxlength="3" onkeydown="return onlyNumber(event)" onkeyup="removeChar(event)">
    </div>
    <div class="field">
      <input type="text" class="inputs" name="phone2" placeholder="1111" style="width:90px;" maxlength="4" onkeydown="return onlyNumber(event)" onkeyup="removeChar(event)">
    </div>
    <div class="field" >
      <input type="text" class="inputs" name="phone3" placeholder="1111" style="width:90px;" maxlength="4" onkeydown="return onlyNumber(event)" onkeyup="removeChar(event)">
    </div>
  </div>
        </div>

 <div class="inline fields">
    <label>성별</label>
    <div class="field">
      <div class="ui radio checkbox">
        <input type="radio" name="gender" value="male" checked="checked" >
        <label>남성</label>
      </div>
    </div>
    <div class="field">
      <div class="ui radio checkbox">
        <input type="radio" name="gender" value="female">
        <label>여성</label>
      </div>
    </div>
	</div>
        
	  <button class="ui green button" type="submit"><i class="user circle icon"></i>회원가입</button>
      </div>

      <div class="ui error message"></div>

    </form>

    <div class="ui message">
      <a href="../../">홈</a>
    </div>
  </div>
</div>
<iframe src="./check.php" style="width:0;height:0;border:0; border:none;"></iframe>


</body>

</html>
