﻿using System.Windows.Forms;
using WUApiLib;

class ClassD
{
    Singleton singleton;
    public ClassD()
    {
        singleton = Singleton.GetInstance();
    }
    internal void EnableService()
    {
        IAutomaticUpdates updates = new AutomaticUpdates();
        if (updates.ServiceEnabled == false) updates.EnableService();
    }
    internal void GetInstalledUpdates(ListView lvw)
    {
        UpdateSession UpdateSession = new UpdateSession();
        IUpdateSearcher UpdateSearchResult = UpdateSession.CreateUpdateSearcher();
        UpdateSearchResult.Online = true;
        ISearchResult SearchResults = UpdateSearchResult.Search("IsInstalled=1 AND IsHidden=0");
        lvw.Items.Clear();

        foreach (IUpdate x in SearchResults.Updates)
        {
            ListViewItem InstalledUpdate = new ListViewItem();
            if (x.Title.Contains("KB"))
            {
                InstalledUpdate.Text = x.Title.Substring(x.Title.IndexOf("KB"), 9).Replace(")", "");
            }
            else
            {
                InstalledUpdate.Text = "";
            }
            InstalledUpdate.SubItems.Add(x.Title);
            InstalledUpdate.SubItems.Add(x.SupportUrl);

            lvw.Items.Add(InstalledUpdate);
        }
    }
    internal void PrintInstalledUpdates(ListView lvw)
    {
        GetNeedUpdates(lvw);
        
    }
    internal void GetNeedUpdates(ListView lvw)
    {
        UpdateSession UpdateSession = new UpdateSession();
        IUpdateSearcher UpdateSearchResult = UpdateSession.CreateUpdateSearcher();
        UpdateSearchResult.Online = true;
        ISearchResult SearchResults = UpdateSearchResult.Search("IsInstalled=0 AND IsPresent=0");
        lvw.Items.Clear();
        foreach (IUpdate x in SearchResults.Updates)
        {
            ListViewItem NeedUpdate = new ListViewItem();
            if (x.Title.Contains("KB"))
            {
                NeedUpdate.Text = x.Title.Substring(x.Title.IndexOf("KB"), 9).Replace(")", "");
            }
            else
            {
                NeedUpdate.Text = "";
            }
            NeedUpdate.SubItems.Add(x.Title);
            lvw.Items.Add(NeedUpdate);
        }
    }
}
