﻿using System.Windows.Forms;
using WUApiLib;

class ClassD
{
    Singleton singleton;
    public ClassD()
    {
        singleton = Singleton.GetInstance();
    }
    internal void EnableService()
    {
        IAutomaticUpdates updates = new AutomaticUpdates();
        if (updates.ServiceEnabled == false) updates.EnableService();
    }
    internal void GetInstalledUpdates(ListView lvw)
    {
        UpdateSession UpdateSession = new UpdateSession();
        IUpdateSearcher UpdateSearchResult = UpdateSession.CreateUpdateSearcher();
        UpdateSearchResult.Online = true;
        try
        {
            ISearchResult SearchResults = UpdateSearchResult.Search("IsInstalled=1 AND IsHidden=0");
            lvw.Items.Clear();
            foreach (IUpdate x in SearchResults.Updates)
            {
                ListViewItem InstalledUpdate = new ListViewItem();
                if (x.Title.Contains("KB"))
                {
                    InstalledUpdate.Text = x.Title.Substring(x.Title.IndexOf("KB"), 9).Replace(")", "");
                }
                else
                {
                    InstalledUpdate.Text = "";
                }
                InstalledUpdate.SubItems.Add(x.Title);
                InstalledUpdate.SubItems.Add(x.SupportUrl);
                lvw.Items.Add(InstalledUpdate);
            }
        }
        catch
        {
            lvw.Items.Add("[안내] 설치된 업데이트 정보를 찾지 못했습니다.");
        }
        finally
        {
            for (int i = 0; i < lvw.Columns.Count; i++)
            {
                lvw.Columns[i].Width = -2;
            }
        }
    }
    internal void GetNeedUpdates(ListView lvw)
    {
        UpdateSession UpdateSession = new UpdateSession();
        IUpdateSearcher UpdateSearchResult = UpdateSession.CreateUpdateSearcher();
        UpdateSearchResult.Online = true;
        try
        {
            ISearchResult SearchResults = UpdateSearchResult.Search("IsInstalled=0 AND IsPresent=0");
            lvw.Items.Clear();
            foreach (IUpdate x in SearchResults.Updates)
            {
                ListViewItem NeedUpdate = new ListViewItem();
                if (x.Title.Contains("KB"))
                {
                    NeedUpdate.Text = x.Title.Substring(x.Title.IndexOf("KB"), 9).Replace(")", "");
                }
                else
                {
                    NeedUpdate.Text = "";
                }
                NeedUpdate.SubItems.Add(x.Title);
                lvw.Items.Add(NeedUpdate);
            }
        }
        catch
        {
            lvw.Items.Add("[안내] 필요한 업데이트 정보를 찾지 못했습니다.");
        }
        finally
        {
            for (int i = 0; i < lvw.Columns.Count; i++)
            {
                lvw.Columns[i].Width = -2;
            }
        }
    }
}
